%define name libqwt%{major}
%define realname libqwt
%define version 0.3.0
%define release 2mdk
%define prefix %{_prefix}

%define major 0

Summary: 2D plotting widget extension to the Qt GUI.
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: System/Libraries
URL: http://sourceforge.net/projects/qwt
Source: %realname-%version.tar.bz2
BuildRequires: libqt2-devel
Requires: libqt2
Buildroot: %{_tmppath}/%{name}-build/
Provides:  %{name}

%description
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

%package -n %{name}-devel
Summary: Development tools for programs which uses Qwt Widget set
Group: System/Libraries
Requires: %{name} = %{version}
Provides: %{realname}-devel

%description -n %{name}-devel
The libqwt-devel package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%prep 
%setup -q -n %{realname}-%{version}

perl -p -i -e 's/^INCPATH\t=.*/INCPATH = -I\/usr\/include\/qt2/' makefiles/linux-g++
perl -p -i -e 's/^LIBS\t=.*/LIBS = -L\/usr\/lib\/qt2\/lib\/ -L\/usr\/X11R6\/lib -lqt -lXext -lX11 -lm/g' makefiles/linux-g++
perl -p -i -e 's/^MOC\t=.*/MOC = \/usr\/lib\/qt2\/bin\/moc/' makefiles/linux-g++
perl -p -i -e 's/^UIC\t=.*/UIC = \/usr\/lib\/qt2\/bin\/uic/' makefiles/linux-g++
perl -p -i -e 's/^all:.*\$\(TARGET\)/all: \$\(TARGET\) \$\(TARGETA\)/' makefiles/linux-g++

%build
make -f makefiles/linux-g++

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}
cp -d libqwt.* $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
cp -d include/*.h $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/
cp -dr doc/man/* $RPM_BUILD_ROOT%{_mandir}/

%post -p /sbin/ldconfig
 
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES COPYING INSTALL README README.QT
%{_libdir}/libqwt.so.*
%{_mandir}/man3/*.bz2

%files -n %{name}-devel
%defattr(-,root,root)
%doc CHANGES COPYING INSTALL README README.QT doc/html
%{_includedir}/*
%{_libdir}/libqwt.a
%{_libdir}/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-2mdk
- rebuild

* Tue Jan 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- added by Stefano Borini <munehiro@ferrara.linux.it> :
	- First RPM release

